Package org.eclipse.mat.ui.snapshot.views

# Class SnapshotOutlinePage.HeapEditorOutlinePage

java.lang.Object
org.eclipse.ui.part.Page
org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage
org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage.HeapEditorOutlinePage

All Implemented Interfaces:
  `ISelectionProvider`, `ISnapshotEditorInput.IChangeListener`, `IPage`, `IPageBookViewPage`, `IContentOutlinePage`

Enclosing class:
  `SnapshotOutlinePage`

public static class SnapshotOutlinePage.HeapEditorOutlinePage extends SnapshotOutlinePage implements ISnapshotEditorInput.IChangeListener

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage

`SnapshotOutlinePage.HeapEditorOutlinePage`

## Constructor Summary

Constructors
Constructor
Description
`HeapEditorOutlinePage(ISnapshotEditorInput input)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`onBaselineLoaded(ISnapshot snapshot)`
`void`
`onSnapshotLoaded(ISnapshot snapshot)`

### Methods inherited from class org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage

`addSelectionChangedListener, createControl, getControl, getSelection, init, removeSelectionChangedListener, setFocus, setSelection`

### Methods inherited from class org.eclipse.ui.part.Page

`getSite, makeContributions, setActionBars`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.part.IPage

`setActionBars`

## Constructor Details

### HeapEditorOutlinePage

public HeapEditorOutlinePage(ISnapshotEditorInput input)

## Method Details

### onSnapshotLoaded

public void onSnapshotLoaded(ISnapshot snapshot)

Specified by:
  `onSnapshotLoaded` in interface `ISnapshotEditorInput.IChangeListener`

### onBaselineLoaded

public void onBaselineLoaded(ISnapshot snapshot)

Specified by:
  `onBaselineLoaded` in interface `ISnapshotEditorInput.IChangeListener`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IPage`
Overrides:
  `dispose` in class `Page`